Skip to main content
POST
Restore Loyalty Rule Edit

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string<uuid>
required

Body

application/json

Body

The body is of type object.

Response

200

id
string<uuid>
required

Unique identifier for the rule edit

Example:

"123e4567-e89b-12d3-a456-426614174000"

loyaltyRuleId
string<uuid>
required

ID of the loyalty rule

Example:

"123e4567-e89b-12d3-a456-426614174001"

websiteId
string<uuid>
required

Unique identifier for the website

Example:

"123e4567-e89b-12d3-a456-426614174002"

organizationId
string<uuid>
required

Unique identifier for the organization

Example:

"123e4567-e89b-12d3-a456-426614174003"

editedByUserId
string<uuid>
required

User ID of the user who made the edit

Example:

"123e4567-e89b-12d3-a456-426614174004"

editedAt
string<date-time>
required

Timestamp of when the rule edit was made

Example:

"2021-08-30T20:00:00Z"

action
enum<string>
required

Type of action that was made on the rule

Available options:
create,
update,
delete,
restore
Example:

"create"

data
Data · object
required

Data that was changed on the rule

Example:
previousData
Previous Data · object

Previous data of the rule before the edit

Example:
comment
string

Comment that was made on the edit

Example:

"Updated rule name"